- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Members

# LASi::show Class Reference

stream applicator applied to oPostscriptStream. More...

`#include <LASi.h>`

List of all members.

## Public Member Functions
| show (const char *c_str)
| Usage: os << show("some UTF-8 text") << .
| show (std::string stl_str)
## Protected Member Functions
void | apply (oPostscriptStream &os) const
## Friends
oPostscriptStream & | operator<< (oPostscriptStream &os, const show &x)
| stream inserter for 'show' stream applicator

## Detailed Description

stream applicator applied to oPostscriptStream.

## Constructor & Destructor Documentation

LASi::show::show | ( | const char * | c_str | ) | `[inline]`

Usage: os << show("some UTF-8 text") << .

..

LASi::show::show | ( | std::string | stl_str | ) | `[inline]`

## Member Function Documentation

void LASi::show::apply | ( | oPostscriptStream & | os | ) | const`[protected]`

## Friends And Related Function Documentation

oPostscriptStream& operator<< | ( | oPostscriptStream & | os,
|  | const show & | x |
| ) |  |  | `[friend]`

stream inserter for 'show' stream applicator

The documentation for this class was generated from the following file:

- LASi.h